## Install

```sh
# Note: This package should be installed globally.
$ npm install -g elo-grep
```

## About

This is a command line tool that will help you locate the directory that contains content for a specific Enabling Learning Objective (ELO). In order to search, you must copy the **full** text of the ELO and paste it at the prompt.

You can also specify a specific way you want to open it up. View the help section below for your options.


## Usage

It's pretty simple, first make sure you are in the root the codex, then just invoke the command `elo` as well as any flags to specify how you want it to open. By default it will not open in any program, as you need to set that. There are two ways of doing that.

1. Set a `ELO_EDITOR` in your `.zshrc` or `.bashrc` file. (somewhere in your `$PATH`)
  ```sh
  # Set Sublime as Default Editor
  export ELO_EDITOR='subl' 
  ```
2. Or you can pass in a flag from below for how you want it to open.
  - `$ elo -c` will open in VS Code
  - `$ elo -ga` will open in BOTH GitHub and Atom

Also, you can pass in a custom editor if you'd like. For instance if you wanted to open Emacs and you had the alias `emacs` set up, you could do the following.

```sh
$ elo -o emacs
```

Though it's probably just easier to set your `ELO_EDITOR` instead as that will save time.

Once you invoke the `elo` command, you'll be asked for the **full** text of any ELO. Have that copied and then paste it in and you'll be taken directly to the directory where all that content lives.

At anytime you can run `elo -h` to view the help menu and see a current list of all the options:

```sh
$ elo -h

  Usage: elo [options]

  Options:

    -h, --help            output usage information
    -V, --version         output the version number
    -g, --github          Opens ELO on GitHub
    -a, --atom            Opens ELO in Atom
    -s, --sublime         Opens ELO in Sublime Text
    -c, --code            Opens ELO in VS Code
    -o, --other <editor>  Opens ELO in specified editor
```
